cspace: add forgotten length decrement
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48drc_cache_base="no"
00a212aa 49have_armv5=""
4132e8ca 50have_armv6=""
51have_armv7=""
52have_arm_neon=""
57467c77 53have_arm_neon_asm=""
4132e8ca 54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
5b9aa749 62CFLAGS_GLES=""
63LDLIBS_GLES=""
4132e8ca 64# these are for known platforms
65optimize_cortexa8="no"
66optimize_arm926ej="no"
67
68# hardcoded stuff
69CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 70CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 71AS="${AS-${CROSS_COMPILE}as}"
72AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 73MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 74config_mak="config.mak"
75
3d037671
PC
76SYSROOT="$(${CC} --print-sysroot)"
77[ "x${SDL_CONFIG}" = "x" ] && SDL_CONFIG="${SYSROOT}/usr/bin/sdl-config"
78
07c13dfd 79fail()
80{
81 echo "$@"
5d53bb85 82 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 83 exit 1
84}
85
4132e8ca 86# call during arg parsing, so that cmd line can override platform defaults
87set_platform()
88{
89 platform=$1
90 case "$platform" in
91 generic)
92 ;;
93 pandora)
07c13dfd 94 sound_drivers="oss alsa"
4132e8ca 95 drc_cache_base="yes"
96 optimize_cortexa8="yes"
97 have_arm_neon="yes"
955f9af0 98 need_xlib="yes"
4132e8ca 99 ;;
100 maemo)
4132e8ca 101 drc_cache_base="yes"
102 optimize_cortexa8="yes"
103 have_arm_neon="yes"
104 ;;
105 caanoo)
07c13dfd 106 sound_drivers="oss"
4132e8ca 107 drc_cache_base="yes"
108 optimize_arm926ej="yes"
cc56203b 109 need_warm="yes"
4132e8ca 110 ;;
38c2028e 111 libretro)
07c13dfd 112 sound_drivers="libretro"
cc56203b 113 need_libpicofe="no"
38c2028e 114 ;;
4132e8ca 115 *)
07c13dfd 116 fail "unsupported platform: $platform"
4132e8ca 117 ;;
118 esac
119}
120
121for opt do
122 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
123 case "$opt" in
124 --help|-h) show_help="yes"
125 ;;
126 --platform=*) set_platform "$optarg"
127 ;;
61bc6d40 128 --gpu=*) builtin_gpu="$optarg"
129 ;;
07c13dfd 130 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 131 ;;
132 --enable-neon) have_arm_neon="yes"
133 ;;
134 --disable-neon) have_arm_neon="no"
135 ;;
136 --disable-dynarec) enable_dynarec="no"
137 ;;
138 *) echo "ERROR: unknown option $opt"; show_help="yes"
139 ;;
140 esac
141done
142
143if [ "$show_help" = "yes" ]; then
144 echo "options:"
145 echo " --help print this message"
146 echo " --platform=NAME target platform [$platform]"
147 echo " available: $platform_list"
61bc6d40 148 echo " --gpu=NAME builtin gpu plugin [guessed]"
149 echo " available: $builtin_gpu_list"
07c13dfd 150 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 151 echo " available: $sound_driver_list"
152 echo " --enable-neon"
153 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
154 echo " --disable-dynarec disable dynamic recompiler"
155 echo " (dynarec is only available and enabled on ARM)"
943a507a 156 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 157 echo "influential environment variables:"
ac6575cd 158 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 159 exit 1
160fi
161
07c13dfd 162# validate selections
61bc6d40 163if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 164 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
165 fail "unsupported builtin gpu plugin: $builtin_gpu"
166 fi
61bc6d40 167fi
168
07c13dfd 169if [ "x$sound_drivers" != "x" ]; then
170 for d in $sound_drivers; do
171 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
172 fail "unsupported sound driver: $sound_driver"
173 fi
174 done
175fi
4132e8ca 176
cc56203b 177if [ "$need_libpicofe" = "yes" ]; then
178 if ! test -f "frontend/libpicofe/README"; then
179 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
180 fi
181fi
182
183if [ "$need_warm" = "yes" ]; then
184 if ! test -f "frontend/warm/README"; then
185 fail "wARM is missing, please run 'git submodule init && git submodule update'"
186 fi
187fi
188
00a212aa 189# basic compiler test
190cat > $TMPC <<EOF
191#include <zlib.h>
192int main(void) { return 0; }
193EOF
194if ! compile_binary; then
0dc1b4a9 195 fail "compiler test failed, please check config.log"
00a212aa 196fi
197
4132e8ca 198if [ -z "$ARCH" ]; then
0dc1b4a9 199 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 200fi
201
0dc1b4a9 202case "$ARCH" in
203arm*)
204 # ARM stuff
205 ARCH="arm"
206
4132e8ca 207 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 208 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
209 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
210 fi
211 if [ "$optimize_arm926ej" = "yes" ]; then
212 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
213 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
214 fi
215
216 if [ "x$have_arm_neon" = "x" ]; then
57467c77 217 # detect NEON from user-supplied cflags to enable neon code
4132e8ca 218 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
219 fi
4132e8ca 220 if [ "x$have_armv7" = "x" ]; then
00a212aa 221 if check_define HAVE_ARMV7; then
4132e8ca 222 have_armv7="yes"
00a212aa 223 have_armv6="yes"
224 have_armv5="yes"
4132e8ca 225 fi
226 fi
00a212aa 227 if [ "x$have_armv6" = "x" ]; then
228 if check_define HAVE_ARMV6; then
229 have_armv6="yes"
230 have_armv5="yes"
231 fi
232 fi
233 if [ "x$have_armv5" = "x" ]; then
234 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
235 fi
4132e8ca 236
61bc6d40 237 if [ "x$builtin_gpu" = "x" ]; then
238 if [ "$have_arm_neon" = "yes" ]; then
239 builtin_gpu="neon"
240 elif [ "$have_armv7" != "yes" ]; then
241 # pre-ARMv7 hardware is usually not fast enough for peops
242 builtin_gpu="unai"
243 else
244 builtin_gpu="peops"
245 fi
246 fi
247
e795af9e 248 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 249 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 250 fpu="neon"
4132e8ca 251 elif [ "$have_armv6" = "yes" ]; then
40cf6975 252 fpu="vfp"
4132e8ca 253 fi
40cf6975 254 if [ "x$fpu" != "x" ]; then
255 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
256 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
257 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
258 if [ "$floatabi_set_by_gcc" != "yes" ]; then
259 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
260 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
261 fi
4132e8ca 262 fi
263
9f704290 264 # must disable thumb as recompiler can't handle it
96751f36 265 if check_define __thumb__; then
9f704290 266 CFLAGS="$CFLAGS -marm"
96751f36 267 fi
00a212aa 268
269 # warn about common mistakes
270 if [ "$have_armv5" != "yes" ]; then
271 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
272 echo "Warning: compiling for ARMv4, is that really what you want?"
273 echo "You probably should specify -mcpu= or -march= like this:"
274 echo " CFLAGS=-march=armv6 ./configure ..."
275 fi
276 fi
277 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
278 echo "Warning: compiling for NEON, but not ARMv7?"
279 echo "You probably want to specify -mcpu= or -march= like this:"
280 echo " CFLAGS=-march=armv7-a ./configure ..."
281 fi
57467c77 282 have_arm_neon_asm=$have_arm_neon
0dc1b4a9 283 ;;
55a2d0dc 284aarch64)
57467c77 285 have_arm_neon="yes"
286 have_arm_neon_asm="no"
287 if [ "x$builtin_gpu" = "x" ]; then
288 builtin_gpu="neon"
289 fi
55a2d0dc 290 ;;
0dc1b4a9 291*)
4132e8ca 292 # dynarec only available on ARM
293 enable_dynarec="no"
0dc1b4a9 294 ;;
295esac
4132e8ca 296
61bc6d40 297if [ "x$builtin_gpu" = "x" ]; then
298 builtin_gpu="peops"
299fi
300
4132e8ca 301# supposedly we can avoid -fPIC on armv5 for slightly better performace?
302if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
303 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
304fi
305
38c2028e 306case "$platform" in
307generic)
f89fa2d9 308 need_sdl="yes"
38c2028e 309 ;;
310maemo)
7010034e 311 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 312 ;;
313libretro)
314 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 315 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 316 ;;
317esac
4132e8ca 318
07c13dfd 319# header/library presence tests
320check_zlib()
321{
322 cat > $TMPC <<EOF
323 #include <zlib.h>
791f6e3e 324 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 325EOF
326 compile_binary
327}
328
07c13dfd 329check_libpng()
330{
331 cat > $TMPC <<EOF
332 #include <png.h>
333 void main() { png_init_io(0, 0); }
334EOF
335 compile_binary
336}
337
338check_oss()
339{
340 cat > $TMPC <<EOF
341 #include <sys/soundcard.h>
342 #include <sys/ioctl.h>
343 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
344EOF
345 compile_binary
346}
347
348check_alsa()
349{
350 cat > $TMPC <<EOF
351 #include <alsa/asoundlib.h>
352 void main() { snd_pcm_open(0, 0, 0, 0); }
353EOF
354 compile_binary "$@"
355}
356
b68bf5c2 357check_pulseaudio()
358{
359 cat > $TMPC <<EOF
360 #include <pulse/pulseaudio.h>
361 void main() { pa_threaded_mainloop_new(); }
362EOF
363 compile_binary "$@"
364}
365
07c13dfd 366check_sdl()
367{
368 cat > $TMPC <<EOF
369 #include <SDL.h>
370 void main() { SDL_OpenAudio(0, 0); }
371EOF
372 compile_binary "$@"
373}
374
955f9af0 375check_xlib_headers()
376{
377 cat > $TMPC <<EOF
378 #include <X11/Xlib.h>
379 void *f() { return XOpenDisplay(0); }
380EOF
381 compile_object "$@"
382}
383
5514a050 384# see if we have c64_tools for TI C64x DSP
385check_c64_tools()
386{
387 cat > $TMPC <<EOF
388 #include <inc_libc64_mini.h>
389 int f() { return dsp_open(); }
390EOF
391 compile_object "$@"
392}
393
f89fa2d9 394MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 395check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 396
f89fa2d9 397MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 398check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 399
400# find what audio support we can compile
401if [ "x$sound_drivers" = "x" ]; then
402 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 403 if check_alsa -lasound; then
404 sound_drivers="$sound_drivers alsa"
405 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
406 fi
b68bf5c2 407 if check_pulseaudio -lpulse; then
408 sound_drivers="$sound_drivers pulseaudio"
409 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
410 fi
3d037671 411 if [ "$need_sdl" = "yes" ] || check_sdl `${SDL_CONFIG} --cflags --libs`; then
f89fa2d9 412 sound_drivers="$sound_drivers sdl"
413 need_sdl="yes"
414 fi
415else
416 if echo $sound_drivers | grep -q "\<oss\>"; then
417 check_oss || fail "oss support is missing"
418 fi
419 if echo $sound_drivers | grep -q "\<alsa\>"; then
420 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
421 check_alsa || fail "please install libasound2-dev"
422 fi
b68bf5c2 423 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
424 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
425 check_pulseaudio || fail "pulseaudio support is missing"
426 fi
07c13dfd 427fi
428
9f704290 429if [ "$need_sdl" = "yes" ]; then
3d037671 430 which ${SDL_CONFIG} > /dev/null || \
9f704290 431 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
3d037671
PC
432 CFLAGS="$CFLAGS `${SDL_CONFIG} --cflags`"
433 MAIN_LDLIBS="`${SDL_CONFIG} --libs` $MAIN_LDLIBS"
9f704290 434 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 435fi
436
4132e8ca 437# check for tslib (only headers needed)
438if [ "x$have_tslib" = "x" ]; then
439 cat > $TMPC <<EOF
440 #include <tslib.h>
441 void test(struct ts_sample sample) {}
442EOF
443 if compile_object; then
444 have_tslib="yes"
445 else
446 have_tslib="no"
447 fi
448fi
449
5b9aa749 450# check for VideoCore stuff for Raspberry Pi
ad6150e0 451if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 452 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 453 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 454 if [ -f /opt/vc/lib/libbcm_host.so ]; then
455 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
456 fi
955f9af0 457 need_xlib="yes"
ad6150e0 458 VIDEOCORE="yes"
5b9aa749 459fi
460
dd4d5a35 461# check for GLES headers
462cat > $TMPC <<EOF
463#include <GLES/gl.h>
dd4d5a35 464#include <EGL/egl.h>
5b9aa749 465int main(void) {
466 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 467}
468EOF
ad6150e0
CG
469if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
470 have_gles="yes"
471 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
472elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 473 have_gles="yes"
474 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
475elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
476 have_gles="yes"
477 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 478fi
479
5514a050 480if check_c64_tools; then
481 have_c64x_dsp="yes"
482fi
483
5b9aa749 484if [ "$have_gles" = "yes" ]; then
485 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
486fi
61bc6d40 487if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
488 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
489fi
490
955f9af0 491# check for xlib (only headers needed)
492if [ "x$need_xlib" = "xyes" ]; then
493 check_xlib_headers || fail "please install libx11-dev"
494fi
495
cc376814 496sizeof_long=`check_define_val __SIZEOF_LONG__`
497if [ "x$sizeof_long" = "x4" ]; then
498 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
499fi
500
9f704290 501cat > $TMPC <<EOF
502void test(void *f, void *d) { fread(d, 1, 1, f); }
503EOF
504if compile_object -Wno-unused-result; then
505 CFLAGS="$CFLAGS -Wno-unused-result"
506fi
507
dd4d5a35 508# short plugin list for display
509for p in $plugins; do
510 p1=`basename $p`
511 plugins_short="$p1 $plugins_short"
512done
513
4132e8ca 514# set things that failed to autodetect to "no"
515test "x$have_armv6" != "x" || have_armv6="no"
516test "x$have_armv7" != "x" || have_armv7="no"
517test "x$have_arm_neon" != "x" || have_arm_neon="no"
57467c77 518test "x$have_arm_neon_asm" != "x" || have_arm_neon_asm="no"
00a212aa 519test "x$have_gles" != "x" || have_gles="no"
5514a050 520test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 521
522echo "architecture $ARCH"
523echo "platform $platform"
61bc6d40 524echo "built-in GPU $builtin_gpu"
07c13dfd 525echo "sound drivers $sound_drivers"
dd4d5a35 526echo "plugins $plugins_short"
4132e8ca 527echo "C compiler $CC"
528echo "C compiler flags $CFLAGS"
07c13dfd 529echo "libraries $MAIN_LDLIBS"
22fa3f2b 530echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 531echo "enable dynarec $enable_dynarec"
57467c77 532if [ "$ARCH" = "arm" -o "$ARCH" = "aarch64" ]; then
533 echo "enable ARM NEON $have_arm_neon"
534fi
5514a050 535if [ "$ARCH" = "arm" ]; then
536 echo "ARMv7 optimizations $have_armv7"
5514a050 537 echo "TI C64x DSP support $have_c64x_dsp"
538fi
4132e8ca 539echo "tslib support $have_tslib"
2c616080 540if [ "$platform" = "generic" ]; then
541 echo "OpenGL ES output $have_gles"
542fi
4132e8ca 543
544echo "# Automatically generated by configure" > $config_mak
545printf "# Configured with:" >> $config_mak
546printf " '%s'" "$0" "$@" >> $config_mak
547echo >> $config_mak
548
549echo "CC = $CC" >> $config_mak
ac6575cd 550echo "CXX = $CXX" >> $config_mak
4132e8ca 551echo "AS = $AS" >> $config_mak
552echo "CFLAGS += $CFLAGS" >> $config_mak
553echo "ASFLAGS += $ASFLAGS" >> $config_mak
554echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 555echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 556echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 557echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
558echo >> $config_mak
559
38c2028e 560if [ "$platform" = "libretro" ]; then
561 echo "TARGET = libretro.so" >> $config_mak
562fi
4132e8ca 563echo "ARCH = $ARCH" >> $config_mak
564echo "PLATFORM = $platform" >> $config_mak
61bc6d40 565echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 566echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 567echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 568if [ "$have_arm_neon" = "yes" ]; then
569 echo "HAVE_NEON = 1" >> $config_mak
570fi
57467c77 571if [ "$have_arm_neon_asm" = "yes" ]; then
572 echo "HAVE_NEON_ASM = 1" >> $config_mak
573fi
4132e8ca 574if [ "$have_tslib" = "yes" ]; then
575 echo "HAVE_TSLIB = 1" >> $config_mak
576fi
5b9aa749 577if [ "$have_gles" = "yes" ]; then
578 echo "HAVE_GLES = 1" >> $config_mak
579 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
580 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
581fi
4132e8ca 582if [ "$enable_dynarec" = "yes" ]; then
583 echo "USE_DYNAREC = 1" >> $config_mak
584fi
585if [ "$drc_cache_base" = "yes" ]; then
2a014d73 586 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 587fi
5514a050 588if [ "$have_c64x_dsp" = "yes" ]; then
589 echo "HAVE_C64_TOOLS = 1" >> $config_mak
590fi
4132e8ca 591
2e6189bc 592# use pandora's skin (for now)
593test -e skin || ln -s frontend/pandora/skin skin
594
4132e8ca 595# vim:shiftwidth=2:expandtab